Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.navi
Interface PlaceHierarchiesOnAxes

All Superinterfaces:
  Extension

All Known Subinterfaces:
  PlaceMembersOnAxes

All Known Implementing Classes:
  MondrianPlaceHierarchies, MondrianPlaceMembers, TestPlaceHierarchiesOnAxes, TestPlaceMembersOnAxes, XMLA_PlaceHierarchies, XMLA_PlaceMembers

    public interface PlaceHierarchiesOnAxes

extends Extension

Allows to place hierarchies on the visible query axes.

Use Case.

- The GUI will examine the result of the olap query to find out which hierarchies are currently displayed on what axes. It will use Axis.getHierarchies() for this
- Then it will find out what Hierarchies exist by calling OlapModel.getDimensions() and Dimension.getHierarchies().
- The Information will be presented to the user and he will be allowed to change the mapping between axes and hierarchies.
- For every Hierarchy that the user selected for display on an axis, the GUI will call createMemberExpression().
- For each axis the system will build the the array of memberExpressions and call setAxis once.

Author:
  av

Field Summary
`static java.lang.String` | `ID` name of the Extension for lookup

Method Summary
`java.lang.Object` | `createMemberExpression(Hierarchy hier)` finds the expression that generates members for `hier`.
`boolean` | `getExpandAllMember()` return the "expand All member" flag
`void` | `setExpandAllMember(boolean expandAllMember)` set the "expand All member" flag if this flag is set and an "All" memper is put onto an axis, the children of the All member will be added as well.
`void` | `setQueryAxis(Axis target, java.lang.Object[] memberExpressions)` sets the MemberExpressions for an Axis.

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Field Detail

### ID

    static final java.lang.String ID

  name of the Extension for lookup

  See Also:
    Constant Field Values

Method Detail

### createMemberExpression

    java.lang.Object createMemberExpression(Hierarchy hier)

  finds the expression that generates members for `hier`. If `hier` is used in the query, the expression from the query should be returned, so the navigation position remains unchanged. If the hierarchy is not used in the query, a new expression is created that selects the root members of the hierarchy.

  Returns:
    a member expression

### setQueryAxis

    void setQueryAxis(Axis target,
                      java.lang.Object[] memberExpressions)

  sets the MemberExpressions for an Axis. The axis definition is replaced by the memberExpressions.

### setExpandAllMember

    void setExpandAllMember(boolean expandAllMember)

  set the "expand All member" flag if this flag is set and an "All" memper is put onto an axis, the children of the All member will be added as well.

### getExpandAllMember

    boolean getExpandAllMember()

  return the "expand All member" flag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD